import struct.sequence.NeDataManager;
import struct.sequence.SequenceDataManager;
import struct.sequence.SequenceInstance;
import struct.sequence.SequenceStatistics;

public class ReutersStat
{
    public static void main (String[] args) throws Exception
    {

	SequenceDataManager manager = new NeDataManager();
	    
	manager.createAlphabets(args[0],false);
	manager.closeAlphabets();
	    
	int numFeats = manager.dataAlphabet.size();
	System.out.println("Feature Dimension: " + numFeats);
	
	SequenceInstance[] trainingData = manager.readData(args[0],false);
	    
	SequenceStatistics stat = new SequenceStatistics();
	stat.stat(trainingData, args[0]+".feats", manager.tagAlphabet);
    }

}
