package struct.relation;

import struct.types.FeatureVector;
import struct.types.Features;

public class RelationExtractorFeatures implements Features {

    public FeatureVector[][] features;

    public RelationExtractorFeatures(FeatureVector[] n_fv, FeatureVector[] y_fv) {
	features = new FeatureVector[n_fv.length][2];
	for(int i = 0; i < n_fv.length; i++) {
	    features[i][0] = n_fv[i];
	    features[i][1] = y_fv[i];
	}
    }

    public FeatureVector getFeatureVector(int k, int n) { return features[k][n]; }
}
