package struct.sequence;

import java.io.IOException;
import java.io.ObjectInputStream;

import struct.types.FeatureVector;
import struct.types.Features;
import struct.types.Input;
import struct.types.Instance;
import struct.types.Label;

public class BinaryInstance implements Instance {

	protected BinaryLabel label;
	protected BinaryFeatures featureVector;

	public BinaryInstance(double _label, FeatureVector fv) {
		featureVector = new BinaryFeatures(fv);
		label = new BinaryLabel(_label, fv);
	}

	public Input getInput() {
		throw new RuntimeException("Not supported");
	}

	public Label getLabel() {
		return label;
	}

	public Features getFeatures() {
		return featureVector;
	}

	public Features getFeatures(ObjectInputStream in) throws IOException {
		throw new RuntimeException("Not supported");
	}
}
