package struct.sequence;

import java.util.Random;

import struct.types.Features;
import struct.types.Instance;

public class ConfidenceEstimatorRandom extends ConfidenceEstimator {

	Random rand = new Random();

	public void estimateInst(Instance inst, Features feats,
			LabelConfScore[] allWordsScores, SequencePredictor predictor) {
		for (int wordIdx = 0; wordIdx < allWordsScores.length; wordIdx++) {
			allWordsScores[wordIdx].score = rand.nextDouble();
		}
	}

}
