package struct.discontinuous;

import struct.types.*;

public class DiscontinuousPrediction implements Prediction {

    public DiscontinuousLabel label;

    public DiscontinuousPrediction(DiscontinuousLabel label) {
	this.label = label;
    }

    public DiscontinuousLabel getBestLabel() { return label; }

    public DiscontinuousLabel getLabelByRank(int rank) {
	return getBestLabel();
    }

    public int getNumLabels() { return 1; }

}
