package struct.sequence;

import struct.types.*;

public class SequenceFeatures implements Features {

    private FeatureVector[][][] fvs_ij;
    private FeatureVector[][] fvs_j;

    public SequenceFeatures(FeatureVector[][][] fvs_ij,
				  FeatureVector[][] fvs_j) {
	this.fvs_ij = fvs_ij;
	this.fvs_j = fvs_j;
    }

    public FeatureVector getFeatureVector(int n, int y1, int y2) {
	return fvs_ij[n][y1][y2];
    }

    public FeatureVector getFeatureVector(int n, int y1) {
	return fvs_j[n][y1];
    }
}
