package struct.relation;

import struct.types.*;

public class RelationExtractorPrediction implements Prediction {

    public RelationExtractorLabel[] labels;

    public RelationExtractorPrediction(RelationExtractorLabel[] labels) {
	this.labels = labels;
    }

    public RelationExtractorLabel getBestLabel() { return labels[0]; }

    public RelationExtractorLabel getLabelByRank(int rank) {
	if(rank >= labels.length)
	    return null;
	return labels[rank];
    }

    public int getNumLabels() { return labels.length; }

}
