package struct.sequence;

import struct.types.*;

public class SequencePrediction implements Prediction {

    public SequenceLabel[] labels;

    public SequencePrediction(SequenceLabel[] labels) {
	this.labels = labels;
    }

    public SequenceLabel getBestLabel() { return labels[0]; }

    public SequenceLabel getLabelByRank(int rank) {
	if(rank >= labels.length)
	    return null;
	return labels[rank];
    }

    public int getNumLabels() { return labels.length; }

}
